<?php
/*
  Plugin Name: افزونه سفارشی سازی کردن قالب ایمیل وردپرس
  Plugin URI: http://www.sitedar.com
  Description: از این افزون می توانید جهت اختصاصی کردن قالب پیش فرض ارسال ایمیل وردپرس استفاده نمایید
  Version: 1.0
  Author: ایوب محمودی فرد , شرکت دارکوب
  Author URI: https://sitedar.com/
*/

function create_custome_email_template_database_table()
{
  global $table_prefix, $wpdb;

  $wp_track_table = 'darkoob_email_template';

  #Check to see if the table exists already, if not, then create it

  if($wpdb->get_var( "show tables like '$wp_track_table'" ) != $wp_track_table) {

    $sql = " CREATE TABLE `darkoob_email_template` (";
    $sql .= " `id` int(11) NOT NULL AUTO_INCREMENT, ";
    $sql .= " `company` varchar(128) NOT NULL, ";
    $sql .= " `email` varchar(128) NOT NULL, ";
    $sql .= " `tell` varchar(16) NOT NULL, ";
    $sql .= " `address` text NOT NULL, ";
    $sql .= " `description` text NOT NULL, ";
    $sql .= " `body_bg_color` varchar(8) NOT NULL, ";
    $sql .= " `header_bg_color` varchar(8) NOT NULL, ";
    $sql .= " `header_color` varchar(8) NOT NULL, ";
    $sql .= " `footer_bg_color` varchar(8) NOT NULL, ";
    $sql .= " `footer_color` varchar(8) NOT NULL, ";
    $sql .= " PRIMARY KEY (`id`) ";
    $sql .= " ) ENGINE=InnoDB DEFAULT CHARSET=utf8 ";
    require_once( ABSPATH . '/wp-admin/includes/upgrade.php' );
    dbDelta($sql);

    $table_name = $wp_track_table;

    $wpdb->insert( 
      $table_name, 
      array( 
        'company' => 'آموزشگاه دارکوب', 
        'email' => 'info@darkoobedu.ir',
        'tell' => '02122082258',
        'address' => 'سعادت آباد، سرو غربی، کوچه آریا، پلاک 4', 
        'description' => '', 
        'body_bg_color' => '#efefef', 
        'header_bg_color' => '#ea1d21', 
        'header_color' => '#ffffff', 
        'footer_bg_color' => '#ea1d21', 
        'footer_color' => '#ffffff'
      ) 
    );

  }
}
register_activation_hook( __FILE__, 'create_custome_email_template_database_table' );

function my_custome_email_template_remove_database() {
  global $wpdb;
  $table_name = 'darkoob_email_template';
  $sql = "DROP TABLE IF EXISTS $table_name";
  $wpdb->query($sql);
}
register_deactivation_hook( __FILE__, 'my_custome_email_template_remove_database' );

function darkoobEmailTemplateMenu() {
  add_menu_page("قالب ایمیل دارکوب", "قالب ایمیل دارکوب", 'administrator', 'email-template-setting', 'emailTemplateSetting', 'dashicons-admin-settings', 2);
}
add_action('admin_menu', 'darkoobEmailTemplateMenu');

function emailTemplateSetting(){
  global $dir;
  $dir = plugin_dir_path( __FILE__ );
  $tpl_dir = trailingslashit($dir.'templates');
  wp_enqueue_style( 'darkoob-custom-email-template', site_url().'/wp-content/plugins/darkoob-custom-email-template/assets/css/'.'style.css', array(), '1' );
  include_once ( $tpl_dir . 'back-end/email-template-setting.php' );
}

function email_template_content_filter() {
  return "text/html";
}

function email_template_filter($args) {
  
  $template = email_template_content_details();
  $args['message'] = str_replace("[message]",$args['message'],$template);

  add_filter('wp_mail_content_type','email_template_content_filter');
  
  return $args;
}
add_filter('wp_mail','email_template_filter',10,1);

function email_template_content_details() {
  global $dir;
  $dir = plugin_dir_path( __FILE__ );
  $tpl_dir = trailingslashit($dir.'templates');
  
  include_once ( $tpl_dir . 'back-end/email-template.php' );
  
  return $info;
}

//Sender Info
function wpb_sender_email( $original_email_address ) {
  $email = '';
  global $wpdb;
  $sql = " SELECT `email` FROM `darkoob_email_template` ";
  $getRow = $wpdb->get_row($sql,ARRAY_A);
  if( !empty($getRow) ) {
    $email = $getRow['email'];    
  }
  if($email != '') {
    return $email;
  }
  else {
    return $original_email_address;
  }
}

function wpb_sender_name( $original_email_from ) {
  $company = '';
  global $wpdb;
  $sql = " SELECT `company` FROM `darkoob_email_template` ";
  $getRow = $wpdb->get_row($sql,ARRAY_A);
  if( !empty($getRow) ) {
    $company = $getRow['company'];    
  }
  if($company != '') {
    return $company;
  }
  else {
    return $original_email_from;
  }
}
add_filter( 'wp_mail_from', 'wpb_sender_email' );
add_filter( 'wp_mail_from_name', 'wpb_sender_name' );

